#version 150 core

uniform sampler2D texture;

uniform float offsets[4];
uniform float weights[4];

in vec2 texturePos;

out	vec4 out0;

void main(void)
{
	vec4 colour = texture2D( texture, texturePos) * weights[0];
	for (int i=1; i<4; i++) {
		colour += texture2D( texture, texturePos + vec2(offsets[i], 0.0) ) * weights[i];
		colour += texture2D( texture, texturePos - vec2(offsets[i], 0.0) ) * weights[i];
	}
	
	out0 = colour;
}
